[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Objects' (#rtl)

# TCollection.Init

Instantiate a new collection.

## Declaration

Source position: objects.pp line 400

`constructor TCollection.Init(`
`ALimit: Sw_Integer;`
`ADelta: Sw_Integer`
`);`

## Description

Init initializes a new instance of a collection. It sets the (initial) maximum number of items in the collection to ALimit. ADelta is the increase size : The number of memory places that will be allocated in case ALimit is reached, and another element is added to the collection.

For an example, see TCollection.ForEach.

## Errors

None.

## See also

TCollection.Load |  | Initialize a new collection and load collection from a stream.
TCollection.Done |  | Clean up collection, release all memory.

Documentation generated on: Feb 26 2014